package com.sun.jndi.ldap;

import javax.naming.ldap.Control;
import java.util.Vector;
import javax.naming.directory.Attributes;

final class LdapEntry
{
    String DN;
    Attributes attributes;
    Vector<Control> respCtls;
    
    LdapEntry(String dn, Attributes attributes) {
        this.respCtls = null;
        this.DN = dn;
        this.attributes = attributes;
    }
    
    LdapEntry(String dn, Attributes attributes, Vector<Control> respCtls) {
        this.respCtls = null;
        this.DN = dn;
        this.attributes = attributes;
        this.respCtls = respCtls;
    }
}
